from fastapi import status
from fastapi.responses import JSONResponse

def success_response(data: dict = None, message: str = "Success"):
    return JSONResponse(
        status_code=status.HTTP_200_OK,
        content={
            "code": 200,
            "message": message,
            "data": data or {}
        }
    )

def error_response(
    code: int = 400,
    message: str = "Error",
    http_status: int = status.HTTP_400_BAD_REQUEST
):
    return JSONResponse(
        status_code=http_status,
        content={
            "code": code,
            "message": message,
            "data": None
        }
    )

def error_400_response(
    code: int = 400,
    message: dict = None,
    http_status: int = status.HTTP_400_BAD_REQUEST
):
    return JSONResponse(
        status_code=http_status,
        content={
            "code": code,
            "message": message,
            "data": None
        }
    )

def error_503_response(
    code: int = 503,
    message: dict = None,
    http_status: int = status.HTTP_503_SERVICE_UNAVAILABLE
):
    return JSONResponse(
        status_code=http_status,
        content={
            "code": code,
            "message": message,
            "data": None
        }
    )